﻿#../_libs/_logging.py

# =============================================================================
# >> IMPORTS
# =============================================================================

# Python Imports
#   Logging
from logging import getLogger
from logging import StreamHandler
from logging import Formatter
from logging import INFO

# =============================================================================
# >> INITIAL SETUP FOR LOGGING
# =============================================================================

def _SetupLogging():
    """Sets up the logging."""
    # Returns the sp logger
    l = getLogger('sp')
    # Info is the default level
    l.setLevel(INFO)
    # By default, we just add a stream handler that prints to console:
    h = StreamHandler()
    # As for the console, we just need the logging facility and the 
    # message itself
    h.setFormatter(Formatter("[%(name)s] %(message)s"))
    # Log all but debug messages to console
    h.setLevel(INFO)
    l.addHandler(h)

# =============================================================================
# >> INITIAL SETUP FOR LOGGING
# =============================================================================

_SetupLogging()